Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8174 - INN ver 2.2.1 Y2K Bug
Summary: INN ver 2.2.1 Y2K Bug
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: www.isc.org/products/INN
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-04 22:24 UTC by Larry M. Smith
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-05 16:44:30 UTC


Attachments (Terms of Use)

Description Larry M. Smith 2000-01-04 22:24:52 UTC
isc.org released INN 2.2.2

per isc.org
--- 8< --- 8< --- (snip)
This is a bug-fix release that corrects a y2k bug in 2.2.1 that will  show
up in the NEWNEWS and NEWGROUPS commands after 2000-01-01 00:00:00 when
the date specified to the command is before 2000-01-01 00:00:00
--- 8< --- 8< --- (snip)

Netscape responds with... (I still need to verify Netscape version)

"Error! News server responded: Usage: NEWGROUPS yymmdd hhmmss ["GMT"]
[<distributions>]"


[root@news radius]# telnet localhost nntp
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
200 localhost InterNetNews NNRP server INN 2.2.1 25-Aug-1999 ready (posting
ok).
mode reader
200 localhost InterNetNews NNRP server INN 2.2.1 25-Aug-1999 ready (posting
ok).
newgroups 991231 000000
501 Usage: NEWGROUPS yymmdd hhmmss ["GMT"] [<distributions>]
newgroups 000103 000000
231 New newsgroups follow.
alt.binaries.warez.win2000 0 1 y
alt.binaries.multimedia.vintage-film 50 1 y
alt.binaries.multimedia.vintage-film.d 0 1 y
alt.fan.zagadka 0 1 y
.
newgroups 19991231 000000
231 New newsgroups follow.
alt.tony-sutton 0 1 y
alt.binaries.jacklyn-lick 12 1 y
alt.france.humanities.ancient-greek 0 1 y
alt.binaries.sounds.mp3.2000s 7 1 y
alt.webcam.alan 0 1 y
alt.fan.unknownj 0 1 y
alt.binaries.warez.win2000 0 1 y
alt.binaries.multimedia.vintage-film 50 1 y
alt.binaries.multimedia.vintage-film.d 0 1 y
alt.fan.zagadka 0 1 y
.
quit
205 .
Connection closed by foreign host.
[root@news radius]#

Comment 1 Bill Nottingham 2000-01-05 16:44:59 UTC
inn-2.2.2 is in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.